package cn.datax.service.system.service;

import cn.datax.common.base.BaseService;
import cn.datax.service.system.api.dto.RoleDto;
import cn.datax.service.system.api.entity.RoleEntity;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yuwei
 * @since 2019-09-04
 */
public interface RoleService extends BaseService<RoleEntity> {

    void saveRole(RoleDto role);

    void updateRole(RoleDto role);

    void deleteRoleById(String id);

}
